Bug 1923 - epdfview does not show jpeg fragments at pdf files
: epdfview does not show jpeg fragments at pdf files
Status: RESOLVED WORKSFORME
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-13 21:39 MSD by MikhailZ
Modified: 2013-12-10 12:05 MSK (History)
1 user (show)

See Also:
RPM Package: epdfview-0.1.8-2-rosa2012.1.i586
ISO-related:
Bad POT generating:
Upstream:


Attachments
snapshot (583.52 KB, image/png)
2013-04-13 21:39 MSD, MikhailZ
Details
test file (170.66 KB, application/pdf)
2013-05-15 13:44 MSD, MikhailZ
Details
patch drom debian package (1.05 KB, patch)
2013-05-15 13:46 MSD, MikhailZ
Details
patch from fedora (1.40 KB, patch)
2013-05-15 13:47 MSD, MikhailZ
Details

Note You need to log in before you can comment on or make changes to this bug.
Description MikhailZ 2013-04-13 21:39:09 MSD
Created attachment 1299 [details]
snapshot

Description of problem:

When opening PDF any file which contains color scaned pages, epdfview dont show jpeg content.
Same file are opened by Okular are displayed normally.
(See attachment)

Same source epdfview in 2012lts works correct, so there are library related problem.

I tried to build epdfview with libjpeg62-1.2.1 and libjpeg62-6b-47 but dont success.
Comment 1 MikhailZ 2013-05-06 23:37:40 MSD
There are no solution yet.
The author stops of developing of epdfview. He recommend to use evince or zathura :-(
Comment 2 Denis Silakov 2013-05-15 13:06:09 MSD
Could you attach the pdf file itself? 

I've just rebuild epdfview with newer poppler, not sure if situation becomes better or worse.
Comment 3 MikhailZ 2013-05-15 13:44:25 MSD
Created attachment 1352 [details]
test file

file with colored text and graphics
Comment 4 MikhailZ 2013-05-15 13:46:56 MSD
Created attachment 1353 [details]
patch drom debian package

patch taken from debian package
Comment 5 MikhailZ 2013-05-15 13:47:46 MSD
Created attachment 1354 [details]
patch from fedora

patch from fedora package
Comment 6 MikhailZ 2013-05-15 13:51:35 MSD
I added test file and 2 patches.
I don't remember which of them :-( fixes problem for text colors. But does not fixes jpeg problem.
Comment 7 Denis Silakov 2013-05-15 13:57:12 MSD
Thanks. The patches are actually identical, I've pushed first of them to ABF.
Comment 8 Denis Silakov 2013-12-10 12:05:21 MSK
The final resolution is that we have merged a patch to fix problem with text color, but we are not going to develop any patches for jpeg issue by ourselves (especially keeping in mind that upstream is actually dead).